Subject: bug#62991: 30.0.50; normal-backup-enable-predicate does not consider /dev/shm

From: Vasilij Schneidermann <[email-masked]>
Date: Fri, 21 Apr 2023 14:10:18 +0200

> We could indeed teach normal-backup-enable-predicate about /dev/shm on
> systems where that is appropriate, but I'm curious why you say this is
> not customizable: normal-backup-enable-predicate is called via a
> variable, backup-enable-predicate, so you could customize that by
> writing your own predicate function, and assigning
> backup-enable-predicate to that function.  Or what am I missing?

It's a defvar, not a defcustom. The code doesn't seem to have been
touched in a while, so I assume setting that variable is safe, but if
it's intended to be used that way, a defcustom would communicate that
option clearly.

I think a list of additional directories to search would be a better
candidate for a defcustom though.